Loading...
Searching...
No Matches
irr::scene::SVertexColorInvertManipulator Class Reference

Vertex manipulator which invertes the RGB values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorInvertManipulator:

## Public Member Functions

void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which invertes the RGB values.

Definition at line 51 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

void irr::scene::SVertexColorInvertManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const

inline

Definition at line 54 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color, irr::video::SColor::getBlue(), irr::video::SColor::getGreen(), irr::video::SColor::getRed(), irr::video::SColor::setBlue(), irr::video::SColor::setGreen(), and irr::video::SColor::setRed().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0